import Dialog from '@material-ui/core/Dialog'
import CloseIcon from 'assets/icons/ico/close.svg'
import star from 'assets/icons/visu/duel/star.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React from 'react'
import './lastDuelModal.scss'

interface LastDuelModalProps {
  open: boolean
  handleCloseClick: () => void
}

const LastDuelModal = ({ open, handleCloseClick }: LastDuelModalProps) => {
  const { t } = useI18n()

  return (
    <Dialog
      open={open}
      onClose={handleCloseClick}
      aria-labelledby={'accessibility-title'}
      classes={{
        root: 'modal-root',
        paper: 'modal-paper blue-light-border',
      }}
    >
      <div id={'accessibility-title'}>{t('last_duel_modal.title')}</div>
      <div className="duel-last-modal-root">
        <div onClick={handleCloseClick}>
          <StyledIcon className="closeIcon" icon={CloseIcon} size={16} />
        </div>
        <StyledIcon className="icon" icon={star} size={48} />
        <div className="text-28-bold title">{t('last_duel_modal.title')}</div>
        <div className="text-22-bold subtitle">
          {t('last_duel_modal.subtitle')}
        </div>
        <div className="text-18-normal content">
          {t('last_duel_modal.message1')}
        </div>
        <div className="text-18-normal content">
          {t('last_duel_modal.message2')}
        </div>
      </div>
    </Dialog>
  )
}

export default LastDuelModal
