import { Button } from '@material-ui/core'
import BearIcon from 'assets/icons/visu/duelResult/CHALLENGE0001-0.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import Content from 'components/Content/Content'
import CozyBar from 'components/Header/CozyBar'
import Header from 'components/Header/Header'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import React, { Dispatch, useState } from 'react'
import { useDispatch } from 'react-redux'
import { useNavigate } from 'react-router-dom'
import { AppActionsTypes } from 'store'
import { updateProfile } from 'store/profile/profile.actions'
import './unSubscribe.scss'

const UnSubscribe = () => {
  const [headerHeight, setHeaderHeight] = useState<number>(0)
  const defineHeaderHeight = (height: number) => {
    setHeaderHeight(height)
  }
  const { t } = useI18n()
  const dispatch = useDispatch<Dispatch<AppActionsTypes>>()
  const navigate = useNavigate()
  const unSubscribe = async () => {
    dispatch(updateProfile({ sendAnalysisNotification: false }))
    navigate('/consumption')
  }

  return (
    <>
      <CozyBar titleKey={'common.title_analysis'} />
      <Header
        setHeaderHeight={defineHeaderHeight}
        desktopTitleKey={'common.title_analysis'}
      />
      <Content height={headerHeight}>
        <div className="unsubscribe-container">
          <StyledIcon className="profile-icon" icon={BearIcon} size={250} />

          <div className="text-20-bold head">{t('unsubscribe.title')}</div>
          <div className="text-16-normal question">
            {t('unsubscribe.content')}
          </div>
          <Button
            aria-label={t('unsubscribe.button_accessibility')}
            onClick={() => unSubscribe()}
            variant={'contained'}
            classes={{
              root: 'btn-highlight',
              label: 'text-18-bold',
            }}
            type="submit"
          >
            {t('unsubscribe.button_text')}
          </Button>
        </div>
      </Content>
    </>
  )
}

export default UnSubscribe
