import Button from '@material-ui/core/Button'
import ecolyoIcon from 'assets/icons/ico/ecolyo.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import { InitStepsErrors } from 'models/initialisationSteps.model'
import React from 'react'
import './splashScreen.scss'

const SplashScreenError = ({ error }: { error: InitStepsErrors }) => {
  const { t } = useI18n()
  return (
    <>
      <div className="splash-content">
        <div className="splash-loader">
          <StyledIcon icon={ecolyoIcon} size={130} className="error" />
          <span>Ecolyo</span>
          <div className="splash-error-text text-20-bold">
            {t('splashscreen.error_loading')}
          </div>
          <div className="splash-error-text text-18-normal">
            {t(`splashscreen.${error}`)}
          </div>
        </div>
      </div>
      <div className="splash-footer">
        <Button
          aria-label={t('splashscreen.accessibility.button_reload')}
          className="splash-footer-button"
          onClick={() => window.location.reload()}
          classes={{
            root: 'btn-highlight',
            label: 'text-16-bold',
          }}
        >
          {t('splashscreen.button_reload')}
        </Button>
      </div>
    </>
  )
}

export default SplashScreenError
