import { PartnersInfo } from 'models/partnersInfo.model'
import mockClient from '../../tests/__mocks__/client'
import PartnersInfoService from './partnersInfo.service'

jest.mock('services/environment.service', () => {
  return jest.fn(() => {
    return {
      isProduction: () => true,
    }
  })
})

/* eslint-disable camelcase */
const mockPartnersInfo: PartnersInfo = {
  egl_failure: true,
  enedis_failure: true,
  grdf_failure: true,
  notification_activated: true,
}

describe('PartnersInfo service', () => {
  const partnersInfoService = new PartnersInfoService(mockClient)

  it('should return partnersInfoData', async () => {
    mockClient
      .getStackClient()
      .fetchJSON.mockResolvedValueOnce(mockPartnersInfo)
    const result: PartnersInfo | undefined =
      await partnersInfoService.getPartnersInfo()
    expect(result).toEqual(mockPartnersInfo)
  })

  it('should return an error', async () => {
    mockClient.getStackClient().fetchJSON.mockRejectedValue(new Error())
    let res
    try {
      res = await partnersInfoService.getPartnersInfo()
      expect(true).toBe(false)
    } catch (error) {
      expect(res).toBe(undefined)
    }
  })
})
