import { Client } from 'cozy-client'
import { PROFILEECOGESTURE_DOCTYPE } from 'doctypes/com-grandlyon-ecolyo-profileecogesture'
import { ProfileEcogesture } from 'models/profileEcogesture.model'
import { Dispatch } from 'react'
import ProfileEcogestureService from 'services/profileEcogesture.service'
import { AppStore, defaultAction } from 'store'

// TODO never used ?
export const CREATE_NEW_PROFILE_ECOGESTURE = 'CREATE_NEW_PROFILE_ECOGESTURE'
export const UPDATE_PROFILE_ECOGESTURE = 'UPDATE_PROFILE_ECOGESTURE'

export interface UpdateProfileEcogesture {
  type: typeof UPDATE_PROFILE_ECOGESTURE
  payload?: ProfileEcogesture
}

// TODO never used ?
export interface CreateNewProfileEcogesture {
  type: typeof CREATE_NEW_PROFILE_ECOGESTURE
  payload?: ProfileEcogesture
}

export type ProfileEcogestureActionTypes =
  | UpdateProfileEcogesture
  | CreateNewProfileEcogesture
  | typeof defaultAction

export function updateProfileEcogestureSuccess(
  updatedProfileEcogesture: ProfileEcogesture
): UpdateProfileEcogesture {
  return {
    type: UPDATE_PROFILE_ECOGESTURE,
    payload: updatedProfileEcogesture,
  }
}

export function updateProfileEcogesture(
  updates: Partial<ProfileEcogesture>
): any {
  return async (
    dispatch: Dispatch<UpdateProfileEcogesture>,
    getState: () => AppStore,
    { client }: { client: Client }
  ) => {
    const profileEcogestureService = new ProfileEcogestureService(client)
    const updatedProfileEcogesture =
      await profileEcogestureService.updateProfileEcogesture(updates)
    if (updatedProfileEcogesture) {
      dispatch(updateProfileEcogestureSuccess(updatedProfileEcogesture))
    }
  }
}

export function newProfileEcogestureEntry(
  updates: Partial<ProfileEcogesture>
): any {
  return async (
    dispatch: Dispatch<UpdateProfileEcogesture>,
    getState: () => AppStore,
    { client }: { client: Client }
  ) => {
    const { data: newProfileEcogesture } = await client.create(
      PROFILEECOGESTURE_DOCTYPE,
      updates
    )
    if (newProfileEcogesture) {
      dispatch(updateProfileEcogestureSuccess(newProfileEcogesture))
    }
  }
}
